General Errors
Error Code | Description |
|---|---|
EMAIL_IS_VERIFIED | Message: The request tried to verify the email address of a white level user, but the email was already verified. The request was rejected. Corrective action: Determine why an attempt was made to verify the same email twice. Explanation: You attempted to trigger a verification flow for a user whose email status is already confirmed. |
ERROR_AMOUNT_MUST_BE_POSITIVE | Message: The request attempted an operation that requires an Explanation: The value provided for the transaction was zero or less, which is not allowed. Change the Correct Example: {
"amount": 100
} |
ERROR_AMOUNT_NOT_VALID | Message: The request tried to create a transaction, but the Explanation: The Error Example: Correct Example: {
"amount": 50.25
} |
ERROR_BANK_IDENTIFIER_MISMATCH | Message: The request attempted an operation that requires both an account number and a bank identifier, but the bank portion of the account number does not match the bank identifier. The request was rejected. Corrective action: Verify the account number and bank identifier and retry. Explanation: There is a logical conflict between the account details provided. Ensure that the bank routing information aligns with the account number. |
ERROR_CARD_EXPIRED | Message: The request attempted an operation that requires a card, but the card expired. The request was rejected. Corrective action: Advise the cardholder to contact the issuer. Explanation: The payment was declined because the card's expiration date has passed. The user must choose a different payment method. |
ERROR_CARD_NOT_AUTHENTICATED | Message: The request tried to use a card ID, but the cardholder has not completed the 3DS verification process. The request was rejected. Corrective action: None. Create a new card ID and wait for the cardholder to complete the 3DS process. To create a new card ID, use Create Payment, Add Payment Method to Customer or Create Card Token. Explanation: The card requires a security challenge that was not performed. You must initiate a new transaction that triggers 3DS authentication. |
ERROR_DAYS_UNTIL_DUE_NOT_VALID | Message: The request tried to set or update the Explanation: The timing for the invoice due date was set incorrectly. Change the value of Error Example: Correct Example: {
"days_until_due": 7
} |
ERROR_DUPLICATE_TRANSACTION | Message: The request attempted an operation, but the action was attempted before and completed. The request was rejected. Corrective action: None. Determine why a duplicate attempt was made. Explanation: This transaction has already been processed successfully. Check your internal records to avoid sending the same request twice. |
ERROR_LIST_PAYMENTS_PAYOUTS_QUERY_MISMATCH | Message: The request tried to list payments or payouts filtered with query parameters, but the query parameters were mutually incompatible. The request was rejected. Corrective action: Use any combination of Explanation: You mixed different filtering styles in the query parameters. Use consistent time-based or ID-based filters. Error Example: Correct Example: get /v1/payments?created_after=payment_f2e57196a80852a24b644ef6ceea56f7&created_before=payment_162a9c308e67f998b8a87757ea44409f67890 |
ERROR_QUERY_DATE_RANGE_EXCEEDS_90_DAYS | Message: The request included temporal query parameters for defining a date range, but the date range defined via the IDs of the objects exceeds 90 days. Corrective action: Create a query where the date range does not exceed 90 days. Explanation: You attempted to filter a list of disputes over a time period longer than three months. Adjust your |
ERROR_STATEMENT_DESCRIPTOR_TOO_LONG | Message: The request attempted an operation that uses a statement descriptor, but it contained too many characters. The request was rejected. Corrective action: For the Explanation: The text meant for the customer's bank statement exceeds the maximum length of 22 characters. Shorten the Error Example: Correct Example: {
"statement_descriptor": "4Star Restaurant&Gifts"
} |
GENERAL_ERROR | Message: Please contact Rapyd Client Support. Explanation: An unexpected server-side issue occurred. Contact Rapyd Client Support for assistance. |
IDEMPOTENCY_ERROR | Message: The request tried to create a payment, but the Explanation: You reused an idempotency key value for a different transaction. Generate a new and unique string for the |
INVALID_FIELDS | Message: The request attempted an operation, but one of the fields contained a value that is not valid. The request was rejected. Corrective action: The name of the field appears at the end of the response code. Use a valid value. Explanation: General field validation failure. Identify the field named in the error message and correct its value. |
MISSING_FIELDS | Message: The request attempted an operation, but one or more required fields were missing. The request was rejected. Corrective action: Provide all of the fields that are listed at the end of the error code. For more information, see the API Reference. Explanation: Your endpoint URI or JSON payload is incomplete. Identify the missing fields from the error message and include them in your request. |